# BoOQA Evaluation Scripts

Before starting off, if you want to evaluate with BERT_{tfidf} methods, please frist clone [DrQA](https://github.com/facebookresearch/DrQA) to the enclosing directory, and download the vectorized representations of documents in the NewsCrawl / CLUE corpora from [Google Drive](); ⚠️ these vector files are quite large.

* EN
    2. Do the followings according to method
        1. BERT1A: `sbatch -o ./qaeval_logs_en/qaeval_bool_wn_only_negi30_0_0_freqmap_40000_bert1A_dev.log qaeval_boolean_en.sh dev 15_30_0_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_freqmap bert1A - - 4 "cuda:0"`
        2. BERT2A: `sbatch -o ./qaeval_logs_en/qaeval_bool_wn_only_negi30_0_0_freqmap_40000_bert2A_dev.log qaeval_boolean_en.sh dev 15_30_0_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_freqmap bert2A - - 4 "cuda:0"`
        3. BERT3A: `sbatch -o ./qaeval_logs_en/qaeval_bool_wn_only_negi30_0_0_freqmap_40000_bert3A_dev.log qaeval_boolean_en.sh dev 15_30_0_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_freqmap bert3A - - 4 "cuda:0"`
        4. S&S base full LevyHolt: `sbatch -o ./qaeval_logs_en/qaeval_bool_wn_only_negi30_0_0_freqmap_40000_ss_en_levyholt_dev.log qaeval_boolean_en_ss.sh dev 15_30_0_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_freqmap ../../multilingual-lexical-inference/lm-lexical-inference/checkpoints_enr/levyholt_en_dirp/levyholt_en_dirp_29/checkpointepoch=4.ckpt "cuda:0"`
        5. S&S base dir LevyHolt: `sbatch -o ./qaeval_logs_en/qaeval_bool_wn_only_negi30_0_0_freqmap_40000_ss_endir_levyholt_dev.log qaeval_boolean_en_ss.sh dev 15_30_0_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_freqmap ../../multilingual-lexical-inference/lm-lexical-inference/checkpoints_enr/endir_levyholt/endir_levyholt_63/checkpointepoch=4.ckpt "cuda:0"`
        6. S&S base sym LevyHolt: `sbatch -o ./qaeval_logs_en/qaeval_bool_wn_only_negi30_0_0_freqmap_40000_ss_ensym_levyholt_test.log qaeval_boolean_en_ss.sh test 15_30_0_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_freqmap ../../multilingual-lexical-inference/lm-lexical-inference/checkpoints_enr/ensym_all_levyholt/ensym_all_levyholt_41/checkpointepoch=4.ckpt "cuda:0"`
        7. S&S large full LevyHolt: `sbatch -o ./qaeval_logs_en/qaeval_bool_wn_only_negi30_0_0_freqmap_40000_ss_en_levyholt_large_dev.log qaeval_boolean_en_ss.sh dev 15_30_0_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_freqmap ../../multilingual-lexical-inference/lm-lexical-inference/checkpoints_enr/levyholt_en_large/levyholt_en_large_57/checkpointepoch=4.ckpt "cuda:0"`
        10. EGEN BInc: `nohup bash qaeval_boolean_en.sh dev 15_30_0_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_freqmap eg global_graphs _gsim.txt 1 "cpu" --backoff_to_predstr > ./qaeval_logs_en/qaeval_bool_wn_only_negi30_0_0_40000_freqmap_ns_global_backoff2predstr_dev.log &`
        11. EGEN CNCE: `nohup bash qaeval_boolean_en.sh dev 15_30_0_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_freqmap eg ../../EG_bucket/entgraphs_contextual_5e-4_1e-2_se_aord_self_top_fill_100_bsz512_alpha_.5 _tPropC_i4_1.5_.3_0.00005_thr0.00005.txt 1 "cpu" --backoff_to_predstr > ./qaeval_logs_en/qaeval_bool_wn_only_negi30_0_0_40000_freqmap_ns_contextual_global_orig_backoff2predstr_dev.log &`
        12. EGEN EGT2: `nohup bash qaeval_boolean_en.sh dev 15_30_0_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_freqmap eg EGT2_global_graphs _gsim.txt 0 "cpu" --backoff_to_predstr > ./qaeval_logs_en/qaeval_bool_wn_only_negi30_0_0_40000_freqmap_ns_EGT2_global_backoff2predstr_dev.log &`

* ZH
    2. Do the followings according to method
        1. BERT1A: `sbatch -o ./qaeval_logs_zh/qaeval_bool_wn_only_negi30_0_10_freqmap_40000_bert1A_dev.log qaeval_boolean_zh.sh dev 15_30_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_10.0_freqmap bert1A - - 4 "cuda:0"`
        2. BERT2A: `sbatch -o ./qaeval_logs_zh/qaeval_bool_wn_only_negi30_0_10_freqmap_40000_bert2A_dev.log qaeval_boolean_zh.sh dev 15_30_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_10.0_freqmap bert2A - - 4 "cuda:0"`
        3. BERT3A: `sbatch -o ./qaeval_logs_zh/qaeval_bool_wn_only_negi30_0_10_freqmap_40000_bert3A_dev.log qaeval_boolean_zh.sh dev 15_30_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_10.0_freqmap bert3A - - 4 "cuda:0"`
        4. S&S base full LevyHolt: `sbatch -o ./qaeval_logs_zh/qaeval_bool_wn_only_negi30_0_10_freqmap_40000_ss_zhraw_levyholt_dev.log qaeval_boolean_zh_ss.sh dev 15_30_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_10.0_freqmap ../../multilingual-lexical-inference/lm-lexical-inference/checkpoints_xlm/levyholt_raw_raw/levyholt_raw_raw_63/checkpointepoch=4.ckpt "cuda:0"`
        7. EGZH BInc: `nohup bash qaeval_boolean_zh.sh dev 15_30_triple_doc_disjoint_30_0_40000_2_lexic_wordnet_10.0_freqmap eg ../../entGraph_3/typedEntGrDir_Chinese2_2 _binc_2_1e-4_1e-2.txt 1 "cpu" > ./qaeval_logs_zh/qaeval_bool_wn_only_negi30_0_10_40000_freqmap_wh_binc_dev.log &`