# E&S Experiments

In this directory are the codes used to adapt the S&S model for the purpose of gauging language models. 
It contains bug fixing as described in the paper as well as shortcuts for convenience.

## To run S&S Experiments
- Clone [Schmitt and Schutze, 2021](https://github.com/mnschmit/lm-lexical-inference) and install dependencies as instructed;
- Use the files in this folder to replace those files with the same names in the same path in the cloned project;
- Copy the datasets in the data package to a `dataset` directory within the parent directory of the cloned project;
- Run `generic_train.sh`, fill out the arguments as indicated; 
- after generic_train finishes, run `find_best_checkpoint_AUC.py` in `src` directory to find the best performing hyper-parameter configuration for the current subset;
- Use the checkpoint corresponding to that best configuration to perform evaluation, run `generic_test.sh`, fill out the correct command-line arguments.

## To run the S&S continuous model
- Clone [conan](https://github.com/mnschmit/conan), and follow the same process as above.